Page MenuHomePhabricator

Crash after scrolling on announcement card in Explore feed
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce

  1. Enable an announcement using a local MCS instance or wait until the Big English fundraiser is live, see T181004.
  2. Scroll down.

After that it also happens right when I restart the app.

Expected results

I see more of the Explore feed.

Actual results

App crashes.

Stack trace

11-29 12:31:35.921 14394-14394/org.wikipedia.dev E/AndroidRuntime: FATAL EXCEPTION: main
                                                                   
java.lang.NullPointerException: Attempt to invoke virtual method 'java.lang.String org.wikipedia.dataclient.restbase.page.RbPageSummary.getExtract()' on a null object reference
 at org.wikipedia.feed.onthisday.OnThisDayPagesViewHolder.setFields(OnThisDayPagesViewHolder.java:51)
 at org.wikipedia.feed.onthisday.OnThisDayCardView$RecyclerAdapter.onBindViewHolder(OnThisDayCardView.java:86)
 at org.wikipedia.feed.onthisday.OnThisDayCardView$RecyclerAdapter.onBindViewHolder(OnThisDayCardView.java:67)
 at android.support.v7.widget.RecyclerView$Adapter.onBindViewHolder(RecyclerView.java:6482)
 at android.support.v7.widget.RecyclerView$Adapter.bindViewHolder(RecyclerView.java:6515)
 at android.support.v7.widget.RecyclerView$Recycler.tryBindViewHolderByDeadline(RecyclerView.java:5458)
 at android.support.v7.widget.RecyclerView$Recycler.tryGetViewHolderForPositionByDeadline(RecyclerView.java:5724)
 at android.support.v7.widget.GapWorker.prefetchPositionWithDeadline(GapWorker.java:285)
 at android.support.v7.widget.GapWorker.prefetchInnerRecyclerViewWithDeadline(GapWorker.java:332)
 at android.support.v7.widget.GapWorker.flushTaskWithDeadline(GapWorker.java:348)
 at android.support.v7.widget.GapWorker.flushTasksWithDeadline(GapWorker.java:358)
 at android.support.v7.widget.GapWorker.prefetch(GapWorker.java:365)
 at android.support.v7.widget.GapWorker.run(GapWorker.java:396)
 at android.os.Handler.handleCallback(Handler.java:739)
 at android.os.Handler.dispatchMessage(Handler.java:95)
 at android.os.Looper.loop(Looper.java:148)
 at android.app.ActivityThread.main(ActivityThread.java:5417)
 at java.lang.reflect.Method.invoke(Native Method)
 at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:726)
 at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:616)

Environments observed

App version: current dev (master) or Alpha 2.6.206-alpha-2017-11-29
Android OS versions: 6.0.1
Device model: Nexus 5
Device language: en

Details

Related Gerrit Patches:
apps/android/wikipedia : masterFix OnThisDayPagesViewHolder crash

Event Timeline

bearND created this task.Nov 29 2017, 7:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2017, 7:45 PM
bearND updated the task description. (Show Details)Nov 29 2017, 7:58 PM

Change 394631 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@master] Fix OnThisDayPagesViewHolder crash

https://gerrit.wikimedia.org/r/394631

Change 394631 merged by jenkins-bot:
[apps/android/wikipedia@master] Fix OnThisDayPagesViewHolder crash

https://gerrit.wikimedia.org/r/394631

Dbrant closed this task as Resolved.Dec 6 2017, 1:51 PM
Dbrant claimed this task.
Dbrant added a subscriber: Dbrant.

Please reopen if seen again.